#!/usr/bin/python
# -*- coding: utf-8 -*-

import gtk

class about(gtk.AboutDialog):
	def __init__(self, widget, db):		
		gtk.AboutDialog.__init__(self)
		self.connect("response", lambda d, r: d.destroy())
		self.set_version(db.get_config("version"))
		self.set_comments("Gestionnaire d'applications portables")
		
		fichierlicence = open("licence.txt")
		licence = fichierlicence.read()
		fichierlicence.close()
		
		self.set_license(licence)
		self.set_wrap_license(True)
		self.set_website("http://www.framakey.org/")
		self.set_authors((
		'Roromis <http://www.roromis.fr.nf>',
		'',
		'Programmé en python <http://www.python.org/>',
		'en utilisant:',
		' - PyGTK <http://www.pygtk.org/>',
		' - py2exe <http://www.py2exe.org/>',
		' - htmltextview (Gustavo J. A. M. Carneiro)',
		' - WrapLabel (Gian Mario Tagliaretti)',
		'',
		'Les icônes indiquant l\'état des applications',
		'proviennent du thème d\'icônes Faenza',
		'<http://tiheum.deviantart.com/art/Faenza-Icons-173323228>',
		'',
		'Les icônes des catégories proviennent du',
		'thème d\'icônes Humanity',
		'<https://launchpad.net/humanity>',
		'',
		'L\'icône de SynApps a été créée à partir de',
		'l\'icône de la logithèque d\'Ubuntu',
		'<https://launchpad.net/software-center>'))
		self.set_icon_list(gtk.gdk.pixbuf_new_from_file("icons/SynApps16.png"), gtk.gdk.pixbuf_new_from_file("icons/SynApps24.png"), gtk.gdk.pixbuf_new_from_file("icons/SynApps32.png"), gtk.gdk.pixbuf_new_from_file("icons/SynApps64.png"), gtk.gdk.pixbuf_new_from_file("icons/SynApps128.png"))
		self.set_logo(gtk.gdk.pixbuf_new_from_file('icons/SynApps128.png'))
		self.set_program_name("SynApps")
		self.show_all()
